Bug 241888 - CVE-2007-2453 Slightly degraded pool mixing for entropy extraction
Summary: CVE-2007-2453 Slightly degraded pool mixing for entropy extraction
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
urgent
low
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 14:38 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0376
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 14:55:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0376 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-06-14 14:54:48 UTC

Description Marcel Holtmann 2007-05-31 14:38:19 UTC
The random number generator in Linux kernels 2.6.12 up to 2.6.22 contain a
broken implementation that prevents a proper manual seeding of the generator.
When a Linux system boots without much operator interaction, the entropy pool
may be in a predictable state.

This issue only affects systems without a real time clock (RTC), harddrive
activity or user input during boot time. For these system the manual seeding of
the random generator is the only way to guarantee a proper entropy pool as early
as possible.

All other systems are not affected since the Linux kernel creates a big enough
entropy pool at boot. The manual seeding is not needed on these systems and has
no effect in increasing the randomness of the generator.

Comment 1 Don Howard 2007-06-01 23:32:51 UTC
A patch addressing this issue has been included in build 2.6.18-8.1.6.el5

Comment 4 Mike Gahagan 2007-06-08 19:42:27 UTC
verified the patch is in and looks to already be well tested.



Comment 7 Red Hat Bugzilla 2007-06-14 14:55:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0376.html



Note You need to log in before you can comment on or make changes to this bug.